Description

1. Load a shapefile layer
2. Load a PostgreSQL table
3. Create a join between them
4. After clicking on "finish" we get an error:

Error notifying the observer org.gvsig.fmap.dal.resource.exception.ResourceExecuteException: Error while executing an action in
resource 'org.gvsig.fmap.dal.store.postgresql.PostgreSQLResource@10cdd4'.    
org.gvsig.fmap.dal.resource.spi.AbstractNonBlockingResource.execute(AbstractNonBlockingResource.java:66)    
org.gvsig.fmap.dal.store.jdbc.JDBCStoreProvider.createResultSet(JDBCStoreProvider.java:260)    
org.gvsig.fmap.dal.store.jdbc.JDBCStoreProvider.createResultSet(JDBCStoreProvider.java:251)    
org.gvsig.fmap.dal.store.jdbc.JDBCSetProvider.createIterator(JDBCSetProvider.java:374)

If we checked the option "Load the transformation output like a layer we get also this error:

Error while executing an action in resource 'org.gvsig.fmap.dal.store.postgresql.PostgreSQLResource@10cdd4'.
Error while executing an action in resource 'org.gvsig.fmap.dal.store.postgresql.PostgreSQLResource@10cdd4'.
An JDBC exception was throw when execute SQL: 'Select "nrCadastro", "DESC Logradouro", "DESC Natureza", "DESC Zona
Fiscal", "DESC Ocupação", "DESC Patrimonio", "DESC Utilização", "DESC Situação", "DESC Topografia", "DESC Pedologia"  from
"public"."Dados_Cadastrais" where (nrCadastro= '5248.0') ' with params {unknow}
ERRO: coluna "nrcadastro" não existe
  Position: 227

Trying the same with QGis it works so a problem with data is discarded. Check if the problem is related with long field names.

Originally reported by Carlos Almeida.

History
#1 - 09/23/2013 08:17 AM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#2 - 09/23/2013 03:55 PM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Target version set to 2.1.0-2223-rc1
Fixed replacement in SQL and removed quotes in numeric literals.

gvsig-desktop:r40733

#3 - 01/13/2014 09:27 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#4 - 01/28/2014 09:32 AM - Álvaro Anguix
- Status changed from Fixed to Closed
